# YouTube Audio library extractor

If I remember correctly:

https://youtube.com/audiolibrary contains two categories: `Music` and `Sound effects`.
Thanks to credentials provided in https://gitea.lemnoslife.com/Benjamin_Loison/YouTube_Audio_library_extractor/src/commit/5a6382ea00ea0ba659bf8e89f9b46f922a2299f6/metadata_extracter.py#L9-L13, `metadata_extractor.py` extracts to `music.json` or `sound_effects.json` metadata of all entries, thanks to [pagination](https://gitea.lemnoslife.com/Benjamin_Loison/YouTube_Audio_library_extractor/src/commit/5a6382ea00ea0ba659bf8e89f9b46f922a2299f6/metadata_extracter.py#L28-L32), of a given category specified in https://gitea.lemnoslife.com/Benjamin_Loison/YouTube_Audio_library_extractor/src/commit/5a6382ea00ea0ba659bf8e89f9b46f922a2299f6/metadata_extracter.py#L14-L15.

Then as it is unclear how to easily proceed with low-level curl/requests to the download of the given sound tracks, `media_files_extractor.py` use Selenium to leverage previous step retrieved metadata to download one-by-one all the sound tracks to Selenium default downloads folder, which is on Linux `~/Downloads/`.

The current issue with this repository is the stability, as at some point the algorithm stops being able to retrieve metadata or download correctly, cf https://gitea.lemnoslife.com/Benjamin_Loison/YouTube_Audio_library_extractor/issues/10.
